summaryrefslogtreecommitdiff
path: root/~fauno
diff options
context:
space:
mode:
authorNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-06-21 11:38:37 -0300
committerNicolás Reynolds <apoyosis@correo.inta.gob.ar>2011-06-21 11:38:37 -0300
commit4af2f18085ba91d4181270ff64ff0ba678449576 (patch)
treedc58b572d81c1c63b88e89a9e72af67720ea1db8 /~fauno
parentcd66f78e88b9ea6a2f751f9836a32053fd801c37 (diff)
~fauno/distcc-zeroconf-3.1-1
Diffstat (limited to '~fauno')
-rw-r--r--~fauno/distccd-zeroconf/PKGBUILD50
-rwxr-xr-x~fauno/distccd-zeroconf/distccd38
-rw-r--r--~fauno/distccd-zeroconf/distccd.conf.d8
3 files changed, 96 insertions, 0 deletions
diff --git a/~fauno/distccd-zeroconf/PKGBUILD b/~fauno/distccd-zeroconf/PKGBUILD
new file mode 100644
index 000000000..2faf6acb3
--- /dev/null
+++ b/~fauno/distccd-zeroconf/PKGBUILD
@@ -0,0 +1,50 @@
+# $Id: PKGBUILD 59085 2009-11-20 06:29:43Z giovanni $
+# Maintainer: Judd Vinet <jvinet@zeroflux.org>
+# Contributor: Giovanni Scafora <giovanni@archlinux.org>
+
+pkgname=distcc-zeroconf
+_pkgname=distcc
+pkgver=3.1
+pkgrel=1
+pkgdesc="A distributed C, C++, Obj C compiler with zeroconf support"
+arch=('i686' 'x86_64')
+url="http://code.google.com/p/distcc/"
+license=('GPL')
+depends=('gcc' 'popt' 'avahi')
+makedepends=('gtk2' 'pkgconfig')
+optdepends=('gtk2: for distccmon-gnome')
+provides=('distcc')
+conflicts=('distcc')
+replaces=('distcc')
+backup=(etc/conf.d/distccd)
+options=(!distcc)
+source=(http://distcc.googlecode.com/files/${_pkgname}-${pkgver}.tar.bz2
+ distccd
+ distccd.conf.d)
+md5sums=('a1a9d3853df7133669fffec2a9aab9f3'
+ '1c918474372c09304772c20c4de484fa'
+ '89aaf6e9072092e283465a14e83f0f94')
+
+build() {
+ cd "${srcdir}/${_pkgname}-${pkgver}"
+ ./configure --prefix=/usr \
+ --with-gtk \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --disable-Werror
+ make
+}
+
+package() {
+ cd "${srcdir}/${_pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}/" install
+ install -D -m644 ${srcdir}/distccd.conf.d ${pkgdir}/etc/conf.d/distccd
+ install -D -m755 ${srcdir}/distccd ${pkgdir}/etc/rc.d/distccd
+
+ install -d ${pkgdir}/usr/lib/${_pkgname}/bin
+ ln -sf /usr/bin/${_pkgname} ${pkgdir}/usr/lib/${_pkgname}/bin/cc
+ ln -sf /usr/bin/${_pkgname} ${pkgdir}/usr/lib/${_pkgname}/bin/gcc
+ ln -sf /usr/bin/${_pkgname} ${pkgdir}/usr/lib/${_pkgname}/bin/g++
+ ln -sf /usr/bin/${_pkgname} ${pkgdir}/usr/lib/${_pkgname}/bin/cpp
+ ln -sf /usr/bin/${_pkgname} ${pkgdir}/usr/lib/${_pkgname}/bin/c++
+}
diff --git a/~fauno/distccd-zeroconf/distccd b/~fauno/distccd-zeroconf/distccd
new file mode 100755
index 000000000..4702d6820
--- /dev/null
+++ b/~fauno/distccd-zeroconf/distccd
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+[ -f /etc/conf.d/distccd ] && . /etc/conf.d/distccd
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/distccd`
+case "$1" in
+ start)
+ stat_busy "Starting distcc Daemon"
+ [ -z "$PID" ] && /usr/bin/distccd --daemon ${DISTCC_ARGS}
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon distccd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping distcc Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon distccd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
diff --git a/~fauno/distccd-zeroconf/distccd.conf.d b/~fauno/distccd-zeroconf/distccd.conf.d
new file mode 100644
index 000000000..8f90cb503
--- /dev/null
+++ b/~fauno/distccd-zeroconf/distccd.conf.d
@@ -0,0 +1,8 @@
+#
+# Parameters to be passed to distccd
+#
+# You must explicitly add IPs (or subnets) that are allowed to connect,
+# using the --allow switch. See the distccd manpage for more info.
+#
+DISTCC_ARGS="--user nobody --allow 127.0.0.1"
+